gnutls_rnd(3)

NAME
gnutls_rnd - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_rnd(gnutls_rnd_level_t level, void * data, size_t len);

ARGUMENTS

gnutls_rnd_level_t level
    a security level

void * data
    place to store random bytes

size_t len
    The requested size

DESCRIPTION
This function will generate random data and store it to output buffer. This function is thread-safe and also fork-safe.

RETURNS
Zero on success, or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/